﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Module1.ViewModels;

namespace Module1
{
	public class TemplateSelector : DataTemplateSelector
	{
		public DataTemplate ButtonTemplate { get; set; }
		public DataTemplate SplitButtonTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			if ((item as Content).Type == "RadButton")
				return ButtonTemplate;
			else
				return SplitButtonTemplate;
		}
	}
}
